> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Veri seti öğelerini getir

> Belirli bir veri setine ait tüm katsayıları veri seti detaylarıyla birlikte döndürür.

**Yanıt şunları içerir**:
- Veri seti bilgileri (ad, açıklama, sürüm, veri kaynağı)
- Tüm katsayıların etiket, anahtar, değer ve birimleri
- Hesaplamalara hazır, düzenli veri yapısı

**Yaygın kullanım senaryoları**:
- Karbon hesaplamaları için tüm elektrik katsayılarını yüklemek
- Veri seti içeriğini gözden geçirmek veya düzenlemek
- Diğer sistemlerle paylaşmak üzere veri hazırlamak
- Hesaplama öncesi hangi katsayıların mevcut olduğunu kontrol etmek



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json get /datasets/{datasetId}/items
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /datasets/{datasetId}/items:
    get:
      tags:
        - DatasetItem
      summary: Veri seti öğelerini getir
      description: >-
        Belirli bir veri setine ait tüm katsayıları veri seti detaylarıyla
        birlikte döndürür.


        **Yanıt şunları içerir**:

        - Veri seti bilgileri (ad, açıklama, sürüm, veri kaynağı)

        - Tüm katsayıların etiket, anahtar, değer ve birimleri

        - Hesaplamalara hazır, düzenli veri yapısı


        **Yaygın kullanım senaryoları**:

        - Karbon hesaplamaları için tüm elektrik katsayılarını yüklemek

        - Veri seti içeriğini gözden geçirmek veya düzenlemek

        - Diğer sistemlerle paylaşmak üzere veri hazırlamak

        - Hesaplama öncesi hangi katsayıların mevcut olduğunu kontrol etmek
      operationId: listByDataset
      parameters:
        - in: path
          name: datasetId
          schema:
            type: string
          required: true
        - in: query
          name: search
          schema:
            type: string
        - in: query
          name: limit
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 50
        - in: query
          name: offset
          schema:
            type: number
            minimum: 0
            default: 0
        - in: query
          name: groupByName
          schema:
            type: boolean
            default: false
        - in: query
          name: year
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  organizationId:
                    type: string
                    nullable: true
                  settings:
                    type: object
                    properties:
                      excludeFromKpis:
                        type: boolean
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                          nullable: true
                        link:
                          type: string
                          nullable: true
                        data: {}
                        metadata: {}
                        year:
                          type: number
                        tags:
                          type: array
                          nullable: true
                          items:
                            type: string
                        inputUnitId:
                          type: string
                          nullable: true
                      required:
                        - id
                        - name
                        - description
                        - link
                        - year
                        - tags
                  pagination:
                    type: object
                    properties:
                      total:
                        type: number
                      limit:
                        type: number
                      offset:
                        type: number
                    required:
                      - total
                      - limit
                      - offset
                required:
                  - id
                  - name
                  - items
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````